Subject: Re: bug#51038: 27.2; ELPA certificate not trusted on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Oct 2021 20:11:13 +0300

> From: Ioannis Kappas <[email-masked]>
> Date: Sun, 24 Oct 2021 17:49:26 +0100
> Cc: [email-masked], [email-masked], 
> 	Lars Ingebrigtsen <[email-masked]>
> 
> Thus, I advocate, that the latest official precompiled Gnu Emacs
> MS-Windows binaries have a serious issue (caused by a bug in the
> GnuTLS version they are bundled with), that either needs to be
> addressed or a workaround needs to be suggested somewhere in the
> download/install instructions.

AFAIU, this issue is not with Emacs, it's with GnuTLS.  So all you
need is download and install a newer GnuTLS, where this problem was
fixed, in place of the old one.  Emacs should then work with that
GnuTLS; there's no need to rebuild Emacs itself.

If you already tried that and it didn't work, please tell the details.